package net.locusworks.hashvalidator;

import java.nio.file.Path;
import java.util.List;

import com.beust.jcommander.Parameter;

import net.locusworks.hashvalidator.enums.HashType;
import net.locusworks.hashvalidator.utils.HashTypeConverter;
import net.locusworks.hashvalidator.utils.PathConverter;

public class Args {
  
  @Parameter(names = {"-t", "--type"}, description = "Hash Type", order = 1, required = true, converter = HashTypeConverter.class)
  public HashType hashType;
  
  @Parameter(names = {"-f", "--files"}, description = "List of files to check", order = 2, converter = PathConverter.class, variableArity = true)
  public List<Path> files;
  
  @Parameter(names = {"-h", "--hashes"}, description = "List of hashes to go along with the files", order = 3, variableArity = true)
  public List<String> hashes;
  
  @Parameter(names = {"-s", "--string"}, description = "String value to hash", order = 4)
  public String string;
  
  @Parameter(names = {"--help"}, help = true, order = 99)
  private boolean help;

  /**
   * @return the hashType
   */
  public final HashType getHashType() {
    return hashType;
  }

  /**
   * @return the files
   */
  public final List<Path> getFiles() {
    return files;
  }
  
  /**
   * @return the files
   */
  public final List<String> getHashes() {
    return hashes;
  }

  /**
   * @return the string
   */
  public final String getString() {
    return string;
  }
  
  /**
   * @return the help
   */
  public boolean isHelp() {
    return help;
  }

}
