package net.locusworks.hashvalidator.utils;

import com.beust.jcommander.IStringConverter;

import net.locusworks.hashvalidator.enums.HashType;

public class HashTypeConverter implements IStringConverter<HashType>{

  @Override
  public HashType convert(String value) {
    if (value == null || value.trim().isEmpty()) throw new IllegalArgumentException("Hash Type cannot be blank");
    
    switch(value.trim().toLowerCase()) {
      case "md5":
        return HashType.MD5;
      case "sha1":
      case "sha-1":
        return HashType.SHA1;
      case "sha512":
      case "sha-512":
        return HashType.SHA512;
      default:
        throw new IllegalArgumentException("Hash Type cannot be blank");
    }
  }

}
