package net.locusworks.hashvalidator.utils;

import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

import com.beust.jcommander.IStringConverter;

public class PathConverter implements IStringConverter<Path> {

  @Override
  public Path convert(String value) {
    Path path = Paths.get(value);
    
    if (Files.notExists(path)) {
      throw new IllegalArgumentException(value + " does not exist. Please check entry");
    }
    
    if (!Files.isRegularFile(path)) {
      throw new IllegalArgumentException(value + " is not a file. Please check entry");
    }
    
    return path;
  }

}
